//
//  ContentView.swift
//  NavigationStackAPI
//
//  Created by Mohammad Azam on 3/18/23.
//

import SwiftUI

struct Customer: Identifiable, Hashable {
    let name: String
    let id = UUID()
}

struct CustomerDetailView: View {
    
    let customer: Customer
    
    var body: some View {
        Text(customer.name)
    }
}

struct ContentView: View {
    
    let customers = [Customer(name: "John"), Customer(name: "Mary"), Customer(name: "Steven")]
    
    var body: some View {
        NavigationStack {
            List(customers) { customer in
                NavigationLink(customer.name, value: customer)
            }.navigationDestination(for: Customer.self) { customer in
                CustomerDetailView(customer: customer)
            }
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
